<html>
<head>
<title>Ogre::PropertyDef Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1PropertyDef.html">PropertyDef</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::PropertyDef Class Reference<div class="ingroups"><a class="el" href="group__Property.html">Property</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::PropertyDef" --><!-- doxytag: inherits="Ogre::AllocatedObject" -->
<p>Definition of a property of an object.  
 <a href="classOgre_1_1PropertyDef.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreProperty_8h_source.html">OgreProperty.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::PropertyDef:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1PropertyDef__inherit__graph.gif" border="0" usemap="#Ogre_1_1PropertyDef_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1PropertyDef_inherit__map" id="Ogre_1_1PropertyDef_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="20,5,119,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1PropertyDef-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PropertyDef.html#a41cc7c20c02222c76f11d43489695551">PropertyDef</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;desc, <a class="el" href="group__Property.html#ga0883a5af9197151407965df0bacc4f3a">PropertyType</a> pType)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PropertyDef.html#aa9fbb3c56557f180a179dfe915388a5c">getName</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the name of the property.  <a href="#aa9fbb3c56557f180a179dfe915388a5c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PropertyDef.html#a36af51365e6f5ef64b2875ffbe96a004">getDescription</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the description of the property.  <a href="#a36af51365e6f5ef64b2875ffbe96a004"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__Property.html#ga0883a5af9197151407965df0bacc4f3a">PropertyType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PropertyDef.html#a42127e0d5069c7b25c67eb53326536e0">getType</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the type of the property.  <a href="#a42127e0d5069c7b25c67eb53326536e0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PropertyDef.html#a2b117f9bd3d234cf2df0facd2b698bb5">getTypeName</a> (<a class="el" href="group__Property.html#ga0883a5af9197151407965df0bacc4f3a">PropertyType</a> theType)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a string name of a property type.  <a href="#a2b117f9bd3d234cf2df0facd2b698bb5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="group__Property.html#ga0883a5af9197151407965df0bacc4f3a">PropertyType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PropertyDef.html#af1f43d6fa9c867fbbac7c847c2331a4a">getTypeForValue</a> (const short &amp;val)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="group__Property.html#ga0883a5af9197151407965df0bacc4f3a">PropertyType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PropertyDef.html#a11706d14ed57ce015ad363550c8b4a35">getTypeForValue</a> (const unsigned short &amp;val)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="group__Property.html#ga0883a5af9197151407965df0bacc4f3a">PropertyType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PropertyDef.html#ac8d97b00ddd7991fd1c6d844fcea22b7">getTypeForValue</a> (const int &amp;val)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="group__Property.html#ga0883a5af9197151407965df0bacc4f3a">PropertyType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PropertyDef.html#a2b47385bebe000ae74e7281b65f177db">getTypeForValue</a> (const unsigned int &amp;val)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="group__Property.html#ga0883a5af9197151407965df0bacc4f3a">PropertyType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PropertyDef.html#aee5018eebdb2bac0a74b16b983547fdb">getTypeForValue</a> (const long &amp;val)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="group__Property.html#ga0883a5af9197151407965df0bacc4f3a">PropertyType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PropertyDef.html#ad7e4b21a152c6f6657ce02a210b30b58">getTypeForValue</a> (const unsigned long &amp;val)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="group__Property.html#ga0883a5af9197151407965df0bacc4f3a">PropertyType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PropertyDef.html#ab66019ead72453626dde1c5529392e79">getTypeForValue</a> (const <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> &amp;val)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="group__Property.html#ga0883a5af9197151407965df0bacc4f3a">PropertyType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PropertyDef.html#a4085561ce2c745b94f24163f05f77a85">getTypeForValue</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;val)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="group__Property.html#ga0883a5af9197151407965df0bacc4f3a">PropertyType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PropertyDef.html#a9a6f217f142938d7035f4b0507430fa2">getTypeForValue</a> (const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;val)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="group__Property.html#ga0883a5af9197151407965df0bacc4f3a">PropertyType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PropertyDef.html#a94debb259e471f515823736dec0ff488">getTypeForValue</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;val)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="group__Property.html#ga0883a5af9197151407965df0bacc4f3a">PropertyType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PropertyDef.html#a07dab739e1465c57f8f287aa3d8a18ae">getTypeForValue</a> (const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;val)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="group__Property.html#ga0883a5af9197151407965df0bacc4f3a">PropertyType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PropertyDef.html#a26efb3b5354c5fa5bcf630cc97847fdf">getTypeForValue</a> (const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;val)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="group__Property.html#ga0883a5af9197151407965df0bacc4f3a">PropertyType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PropertyDef.html#a2e28520f52bd076d73becb579949c821">getTypeForValue</a> (const bool &amp;val)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="group__Property.html#ga0883a5af9197151407965df0bacc4f3a">PropertyType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PropertyDef.html#a12b0236db01a784799530942a8f50d82">getTypeForValue</a> (const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;val)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="group__Property.html#ga0883a5af9197151407965df0bacc4f3a">PropertyType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PropertyDef.html#a883ccd53919be65e73d2524fd5ea598c">getTypeForValue</a> (const <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;val)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="group__Property.html#ga0883a5af9197151407965df0bacc4f3a">PropertyType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PropertyDef.html#aa3f812514090432149116f4dc278e70c">getTypeForValue</a> (const <a class="el" href="classOgre_1_1Matrix4.html">Matrix4</a> &amp;val)</td></tr>
<tr><td colspan="2"><h2><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PropertyDef.html#a3cc6b402707f944ae9bb426f8161b340">PropertyDef</a> ()</td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PropertyDef.html#a575daff2df886d3d4e4c6c7ce0b34654">mName</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PropertyDef.html#a32aeb4f20db1bd6317d2d02b356ae819">mDesc</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__Property.html#ga0883a5af9197151407965df0bacc4f3a">PropertyType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PropertyDef.html#a8b61c74092cf7b920777716459c5953c">mType</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Definition of a property of an object. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This definition is shared between all instances of an object and therefore has no value. <a class="el" href="classOgre_1_1Property.html" title="Property instance with passthrough calls to a given object.">Property</a> contains values. </dd></dl>

<p>Definition at line <a class="el" href="OgreProperty_8h_source.html#l00137">137</a> of file <a class="el" href="OgreProperty_8h_source.html">OgreProperty.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a41cc7c20c02222c76f11d43489695551"></a><!-- doxytag: member="Ogre::PropertyDef::PropertyDef" ref="a41cc7c20c02222c76f11d43489695551" args="(const String &amp;name, const String &amp;desc, PropertyType pType)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1PropertyDef.html#a41cc7c20c02222c76f11d43489695551">Ogre::PropertyDef::PropertyDef</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>desc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__Property.html#ga0883a5af9197151407965df0bacc4f3a">PropertyType</a>&#160;</td>
          <td class="paramname"><em>pType</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreProperty_8h_source.html#l00146">146</a> of file <a class="el" href="OgreProperty_8h_source.html">OgreProperty.h</a>.</p>

</div>
</div>
<a class="anchor" id="a3cc6b402707f944ae9bb426f8161b340"></a><!-- doxytag: member="Ogre::PropertyDef::PropertyDef" ref="a3cc6b402707f944ae9bb426f8161b340" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1PropertyDef.html#a41cc7c20c02222c76f11d43489695551">Ogre::PropertyDef::PropertyDef</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreProperty_8h_source.html#l00180">180</a> of file <a class="el" href="OgreProperty_8h_source.html">OgreProperty.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a36af51365e6f5ef64b2875ffbe96a004"></a><!-- doxytag: member="Ogre::PropertyDef::getDescription" ref="a36af51365e6f5ef64b2875ffbe96a004" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="el" href="classOgre_1_1PropertyDef.html#a36af51365e6f5ef64b2875ffbe96a004">Ogre::PropertyDef::getDescription</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the description of the property. </p>

<p>Definition at line <a class="el" href="OgreProperty_8h_source.html#l00153">153</a> of file <a class="el" href="OgreProperty_8h_source.html">OgreProperty.h</a>.</p>

</div>
</div>
<a class="anchor" id="aa9fbb3c56557f180a179dfe915388a5c"></a><!-- doxytag: member="Ogre::PropertyDef::getName" ref="aa9fbb3c56557f180a179dfe915388a5c" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="el" href="classOgre_1_1PropertyDef.html#aa9fbb3c56557f180a179dfe915388a5c">Ogre::PropertyDef::getName</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the name of the property. </p>

<p>Definition at line <a class="el" href="OgreProperty_8h_source.html#l00150">150</a> of file <a class="el" href="OgreProperty_8h_source.html">OgreProperty.h</a>.</p>

</div>
</div>
<a class="anchor" id="a42127e0d5069c7b25c67eb53326536e0"></a><!-- doxytag: member="Ogre::PropertyDef::getType" ref="a42127e0d5069c7b25c67eb53326536e0" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__Property.html#ga0883a5af9197151407965df0bacc4f3a">PropertyType</a> <a class="el" href="classOgre_1_1PropertyDef.html#a42127e0d5069c7b25c67eb53326536e0">Ogre::PropertyDef::getType</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the type of the property. </p>

<p>Definition at line <a class="el" href="OgreProperty_8h_source.html#l00156">156</a> of file <a class="el" href="OgreProperty_8h_source.html">OgreProperty.h</a>.</p>

</div>
</div>
<a class="anchor" id="af1f43d6fa9c867fbbac7c847c2331a4a"></a><!-- doxytag: member="Ogre::PropertyDef::getTypeForValue" ref="af1f43d6fa9c867fbbac7c847c2331a4a" args="(const short &amp;val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="group__Property.html#ga0883a5af9197151407965df0bacc4f3a">PropertyType</a> <a class="el" href="classOgre_1_1PropertyDef.html#af1f43d6fa9c867fbbac7c847c2331a4a">Ogre::PropertyDef::getTypeForValue</a> </td>
          <td>(</td>
          <td class="paramtype">const short &amp;&#160;</td>
          <td class="paramname"><em>val</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreProperty_8h_source.html#l00161">161</a> of file <a class="el" href="OgreProperty_8h_source.html">OgreProperty.h</a>.</p>

<p>References <a class="el" href="OgreProperty_8h_source.html#l00112">Ogre::PROP_SHORT</a>.</p>

<p>Referenced by <a class="el" href="OgreProperty_8h_source.html#l00323">Ogre::PropertySet::getValue()</a>, and <a class="el" href="OgreProperty_8h_source.html#l00331">Ogre::PropertySet::setValue()</a>.</p>

</div>
</div>
<a class="anchor" id="a11706d14ed57ce015ad363550c8b4a35"></a><!-- doxytag: member="Ogre::PropertyDef::getTypeForValue" ref="a11706d14ed57ce015ad363550c8b4a35" args="(const unsigned short &amp;val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="group__Property.html#ga0883a5af9197151407965df0bacc4f3a">PropertyType</a> <a class="el" href="classOgre_1_1PropertyDef.html#af1f43d6fa9c867fbbac7c847c2331a4a">Ogre::PropertyDef::getTypeForValue</a> </td>
          <td>(</td>
          <td class="paramtype">const unsigned short &amp;&#160;</td>
          <td class="paramname"><em>val</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreProperty_8h_source.html#l00162">162</a> of file <a class="el" href="OgreProperty_8h_source.html">OgreProperty.h</a>.</p>

<p>References <a class="el" href="OgreProperty_8h_source.html#l00113">Ogre::PROP_UNSIGNED_SHORT</a>.</p>

</div>
</div>
<a class="anchor" id="ac8d97b00ddd7991fd1c6d844fcea22b7"></a><!-- doxytag: member="Ogre::PropertyDef::getTypeForValue" ref="ac8d97b00ddd7991fd1c6d844fcea22b7" args="(const int &amp;val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="group__Property.html#ga0883a5af9197151407965df0bacc4f3a">PropertyType</a> <a class="el" href="classOgre_1_1PropertyDef.html#af1f43d6fa9c867fbbac7c847c2331a4a">Ogre::PropertyDef::getTypeForValue</a> </td>
          <td>(</td>
          <td class="paramtype">const int &amp;&#160;</td>
          <td class="paramname"><em>val</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreProperty_8h_source.html#l00163">163</a> of file <a class="el" href="OgreProperty_8h_source.html">OgreProperty.h</a>.</p>

<p>References <a class="el" href="OgreProperty_8h_source.html#l00114">Ogre::PROP_INT</a>.</p>

</div>
</div>
<a class="anchor" id="a2b47385bebe000ae74e7281b65f177db"></a><!-- doxytag: member="Ogre::PropertyDef::getTypeForValue" ref="a2b47385bebe000ae74e7281b65f177db" args="(const unsigned int &amp;val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="group__Property.html#ga0883a5af9197151407965df0bacc4f3a">PropertyType</a> <a class="el" href="classOgre_1_1PropertyDef.html#af1f43d6fa9c867fbbac7c847c2331a4a">Ogre::PropertyDef::getTypeForValue</a> </td>
          <td>(</td>
          <td class="paramtype">const unsigned int &amp;&#160;</td>
          <td class="paramname"><em>val</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreProperty_8h_source.html#l00164">164</a> of file <a class="el" href="OgreProperty_8h_source.html">OgreProperty.h</a>.</p>

<p>References <a class="el" href="OgreProperty_8h_source.html#l00115">Ogre::PROP_UNSIGNED_INT</a>.</p>

</div>
</div>
<a class="anchor" id="aee5018eebdb2bac0a74b16b983547fdb"></a><!-- doxytag: member="Ogre::PropertyDef::getTypeForValue" ref="aee5018eebdb2bac0a74b16b983547fdb" args="(const long &amp;val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="group__Property.html#ga0883a5af9197151407965df0bacc4f3a">PropertyType</a> <a class="el" href="classOgre_1_1PropertyDef.html#af1f43d6fa9c867fbbac7c847c2331a4a">Ogre::PropertyDef::getTypeForValue</a> </td>
          <td>(</td>
          <td class="paramtype">const long &amp;&#160;</td>
          <td class="paramname"><em>val</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreProperty_8h_source.html#l00165">165</a> of file <a class="el" href="OgreProperty_8h_source.html">OgreProperty.h</a>.</p>

<p>References <a class="el" href="OgreProperty_8h_source.html#l00116">Ogre::PROP_LONG</a>.</p>

</div>
</div>
<a class="anchor" id="ad7e4b21a152c6f6657ce02a210b30b58"></a><!-- doxytag: member="Ogre::PropertyDef::getTypeForValue" ref="ad7e4b21a152c6f6657ce02a210b30b58" args="(const unsigned long &amp;val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="group__Property.html#ga0883a5af9197151407965df0bacc4f3a">PropertyType</a> <a class="el" href="classOgre_1_1PropertyDef.html#af1f43d6fa9c867fbbac7c847c2331a4a">Ogre::PropertyDef::getTypeForValue</a> </td>
          <td>(</td>
          <td class="paramtype">const unsigned long &amp;&#160;</td>
          <td class="paramname"><em>val</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreProperty_8h_source.html#l00166">166</a> of file <a class="el" href="OgreProperty_8h_source.html">OgreProperty.h</a>.</p>

<p>References <a class="el" href="OgreProperty_8h_source.html#l00117">Ogre::PROP_UNSIGNED_LONG</a>.</p>

</div>
</div>
<a class="anchor" id="ab66019ead72453626dde1c5529392e79"></a><!-- doxytag: member="Ogre::PropertyDef::getTypeForValue" ref="ab66019ead72453626dde1c5529392e79" args="(const Real &amp;val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="group__Property.html#ga0883a5af9197151407965df0bacc4f3a">PropertyType</a> <a class="el" href="classOgre_1_1PropertyDef.html#af1f43d6fa9c867fbbac7c847c2331a4a">Ogre::PropertyDef::getTypeForValue</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> &amp;&#160;</td>
          <td class="paramname"><em>val</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreProperty_8h_source.html#l00167">167</a> of file <a class="el" href="OgreProperty_8h_source.html">OgreProperty.h</a>.</p>

<p>References <a class="el" href="OgreProperty_8h_source.html#l00118">Ogre::PROP_REAL</a>.</p>

</div>
</div>
<a class="anchor" id="a4085561ce2c745b94f24163f05f77a85"></a><!-- doxytag: member="Ogre::PropertyDef::getTypeForValue" ref="a4085561ce2c745b94f24163f05f77a85" args="(const String &amp;val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="group__Property.html#ga0883a5af9197151407965df0bacc4f3a">PropertyType</a> <a class="el" href="classOgre_1_1PropertyDef.html#af1f43d6fa9c867fbbac7c847c2331a4a">Ogre::PropertyDef::getTypeForValue</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>val</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreProperty_8h_source.html#l00168">168</a> of file <a class="el" href="OgreProperty_8h_source.html">OgreProperty.h</a>.</p>

<p>References <a class="el" href="OgreProperty_8h_source.html#l00119">Ogre::PROP_STRING</a>.</p>

</div>
</div>
<a class="anchor" id="a9a6f217f142938d7035f4b0507430fa2"></a><!-- doxytag: member="Ogre::PropertyDef::getTypeForValue" ref="a9a6f217f142938d7035f4b0507430fa2" args="(const Vector2 &amp;val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="group__Property.html#ga0883a5af9197151407965df0bacc4f3a">PropertyType</a> <a class="el" href="classOgre_1_1PropertyDef.html#af1f43d6fa9c867fbbac7c847c2331a4a">Ogre::PropertyDef::getTypeForValue</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;&#160;</td>
          <td class="paramname"><em>val</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreProperty_8h_source.html#l00169">169</a> of file <a class="el" href="OgreProperty_8h_source.html">OgreProperty.h</a>.</p>

<p>References <a class="el" href="OgreProperty_8h_source.html#l00120">Ogre::PROP_VECTOR2</a>.</p>

</div>
</div>
<a class="anchor" id="a94debb259e471f515823736dec0ff488"></a><!-- doxytag: member="Ogre::PropertyDef::getTypeForValue" ref="a94debb259e471f515823736dec0ff488" args="(const Vector3 &amp;val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="group__Property.html#ga0883a5af9197151407965df0bacc4f3a">PropertyType</a> <a class="el" href="classOgre_1_1PropertyDef.html#af1f43d6fa9c867fbbac7c847c2331a4a">Ogre::PropertyDef::getTypeForValue</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td>
          <td class="paramname"><em>val</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreProperty_8h_source.html#l00170">170</a> of file <a class="el" href="OgreProperty_8h_source.html">OgreProperty.h</a>.</p>

<p>References <a class="el" href="OgreProperty_8h_source.html#l00121">Ogre::PROP_VECTOR3</a>.</p>

</div>
</div>
<a class="anchor" id="a07dab739e1465c57f8f287aa3d8a18ae"></a><!-- doxytag: member="Ogre::PropertyDef::getTypeForValue" ref="a07dab739e1465c57f8f287aa3d8a18ae" args="(const Vector4 &amp;val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="group__Property.html#ga0883a5af9197151407965df0bacc4f3a">PropertyType</a> <a class="el" href="classOgre_1_1PropertyDef.html#af1f43d6fa9c867fbbac7c847c2331a4a">Ogre::PropertyDef::getTypeForValue</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&#160;</td>
          <td class="paramname"><em>val</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreProperty_8h_source.html#l00171">171</a> of file <a class="el" href="OgreProperty_8h_source.html">OgreProperty.h</a>.</p>

<p>References <a class="el" href="OgreProperty_8h_source.html#l00122">Ogre::PROP_VECTOR4</a>.</p>

</div>
</div>
<a class="anchor" id="a26efb3b5354c5fa5bcf630cc97847fdf"></a><!-- doxytag: member="Ogre::PropertyDef::getTypeForValue" ref="a26efb3b5354c5fa5bcf630cc97847fdf" args="(const ColourValue &amp;val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="group__Property.html#ga0883a5af9197151407965df0bacc4f3a">PropertyType</a> <a class="el" href="classOgre_1_1PropertyDef.html#af1f43d6fa9c867fbbac7c847c2331a4a">Ogre::PropertyDef::getTypeForValue</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;&#160;</td>
          <td class="paramname"><em>val</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreProperty_8h_source.html#l00172">172</a> of file <a class="el" href="OgreProperty_8h_source.html">OgreProperty.h</a>.</p>

<p>References <a class="el" href="OgreProperty_8h_source.html#l00123">Ogre::PROP_COLOUR</a>.</p>

</div>
</div>
<a class="anchor" id="a2e28520f52bd076d73becb579949c821"></a><!-- doxytag: member="Ogre::PropertyDef::getTypeForValue" ref="a2e28520f52bd076d73becb579949c821" args="(const bool &amp;val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="group__Property.html#ga0883a5af9197151407965df0bacc4f3a">PropertyType</a> <a class="el" href="classOgre_1_1PropertyDef.html#af1f43d6fa9c867fbbac7c847c2331a4a">Ogre::PropertyDef::getTypeForValue</a> </td>
          <td>(</td>
          <td class="paramtype">const bool &amp;&#160;</td>
          <td class="paramname"><em>val</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreProperty_8h_source.html#l00173">173</a> of file <a class="el" href="OgreProperty_8h_source.html">OgreProperty.h</a>.</p>

<p>References <a class="el" href="OgreProperty_8h_source.html#l00124">Ogre::PROP_BOOL</a>.</p>

</div>
</div>
<a class="anchor" id="a12b0236db01a784799530942a8f50d82"></a><!-- doxytag: member="Ogre::PropertyDef::getTypeForValue" ref="a12b0236db01a784799530942a8f50d82" args="(const Quaternion &amp;val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="group__Property.html#ga0883a5af9197151407965df0bacc4f3a">PropertyType</a> <a class="el" href="classOgre_1_1PropertyDef.html#af1f43d6fa9c867fbbac7c847c2331a4a">Ogre::PropertyDef::getTypeForValue</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;&#160;</td>
          <td class="paramname"><em>val</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreProperty_8h_source.html#l00174">174</a> of file <a class="el" href="OgreProperty_8h_source.html">OgreProperty.h</a>.</p>

<p>References <a class="el" href="OgreProperty_8h_source.html#l00125">Ogre::PROP_QUATERNION</a>.</p>

</div>
</div>
<a class="anchor" id="a883ccd53919be65e73d2524fd5ea598c"></a><!-- doxytag: member="Ogre::PropertyDef::getTypeForValue" ref="a883ccd53919be65e73d2524fd5ea598c" args="(const Matrix3 &amp;val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="group__Property.html#ga0883a5af9197151407965df0bacc4f3a">PropertyType</a> <a class="el" href="classOgre_1_1PropertyDef.html#af1f43d6fa9c867fbbac7c847c2331a4a">Ogre::PropertyDef::getTypeForValue</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;&#160;</td>
          <td class="paramname"><em>val</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreProperty_8h_source.html#l00175">175</a> of file <a class="el" href="OgreProperty_8h_source.html">OgreProperty.h</a>.</p>

<p>References <a class="el" href="OgreProperty_8h_source.html#l00126">Ogre::PROP_MATRIX3</a>.</p>

</div>
</div>
<a class="anchor" id="aa3f812514090432149116f4dc278e70c"></a><!-- doxytag: member="Ogre::PropertyDef::getTypeForValue" ref="aa3f812514090432149116f4dc278e70c" args="(const Matrix4 &amp;val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="group__Property.html#ga0883a5af9197151407965df0bacc4f3a">PropertyType</a> <a class="el" href="classOgre_1_1PropertyDef.html#af1f43d6fa9c867fbbac7c847c2331a4a">Ogre::PropertyDef::getTypeForValue</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Matrix4.html">Matrix4</a> &amp;&#160;</td>
          <td class="paramname"><em>val</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreProperty_8h_source.html#l00176">176</a> of file <a class="el" href="OgreProperty_8h_source.html">OgreProperty.h</a>.</p>

<p>References <a class="el" href="OgreProperty_8h_source.html#l00127">Ogre::PROP_MATRIX4</a>.</p>

</div>
</div>
<a class="anchor" id="a2b117f9bd3d234cf2df0facd2b698bb5"></a><!-- doxytag: member="Ogre::PropertyDef::getTypeName" ref="a2b117f9bd3d234cf2df0facd2b698bb5" args="(PropertyType theType)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="el" href="classOgre_1_1PropertyDef.html#a2b117f9bd3d234cf2df0facd2b698bb5">Ogre::PropertyDef::getTypeName</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Property.html#ga0883a5af9197151407965df0bacc4f3a">PropertyType</a>&#160;</td>
          <td class="paramname"><em>theType</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get a string name of a property type. </p>

<p>Referenced by <a class="el" href="OgreProperty_8h_source.html#l00371">Ogre::PropertySet::getPropertyImpl()</a>, and <a class="el" href="OgreProperty_8h_source.html#l00356">Ogre::PropertySet::setPropertyImpl()</a>.</p>

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::PropertyDef::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::PropertyDef::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::PropertyDef::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::PropertyDef::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::PropertyDef::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::PropertyDef::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::PropertyDef::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::PropertyDef::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::PropertyDef::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::PropertyDef::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a32aeb4f20db1bd6317d2d02b356ae819"></a><!-- doxytag: member="Ogre::PropertyDef::mDesc" ref="a32aeb4f20db1bd6317d2d02b356ae819" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1PropertyDef.html#a32aeb4f20db1bd6317d2d02b356ae819">Ogre::PropertyDef::mDesc</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreProperty_8h_source.html#l00183">183</a> of file <a class="el" href="OgreProperty_8h_source.html">OgreProperty.h</a>.</p>

</div>
</div>
<a class="anchor" id="a575daff2df886d3d4e4c6c7ce0b34654"></a><!-- doxytag: member="Ogre::PropertyDef::mName" ref="a575daff2df886d3d4e4c6c7ce0b34654" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1PropertyDef.html#a575daff2df886d3d4e4c6c7ce0b34654">Ogre::PropertyDef::mName</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreProperty_8h_source.html#l00182">182</a> of file <a class="el" href="OgreProperty_8h_source.html">OgreProperty.h</a>.</p>

</div>
</div>
<a class="anchor" id="a8b61c74092cf7b920777716459c5953c"></a><!-- doxytag: member="Ogre::PropertyDef::mType" ref="a8b61c74092cf7b920777716459c5953c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__Property.html#ga0883a5af9197151407965df0bacc4f3a">PropertyType</a> <a class="el" href="classOgre_1_1PropertyDef.html#a8b61c74092cf7b920777716459c5953c">Ogre::PropertyDef::mType</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreProperty_8h_source.html#l00184">184</a> of file <a class="el" href="OgreProperty_8h_source.html">OgreProperty.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreProperty_8h_source.html">OgreProperty.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:11
</p>
</body>
</html>
